Type to search.

Stop data frame analytics jobs

  • POST /_ml/data_frame/analytics/{id}/_stop
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.3 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

A data frame analytics job can be started and stopped multiple times throughout its lifecycle.

Required privileges

Cluster privileges manage_ml

Path parameters

id string required

Identifier for the data frame analytics job. This identifier can contain lowercase alphanumeric characters (a-z and 0-9), hyphens, and underscores. It must start and end with alphanumeric characters.

Query parameters

allow_no_match boolean · default: true

Specifies what to do when the request:

  1. Contains wildcard expressions and there are no data frame analytics jobs that match.
  2. Contains the _all string or no identifiers and there are no matches.
  3. Contains wildcard expressions and there are only partial matches.

The default value is true, which returns an empty data_frame_analytics array when there are no matches and the subset of results when there are partial matches. If this parameter is false, the request returns a 404 status code when there are no matches or only partial matches.

force boolean · default: false

If true, the data frame analytics job is stopped forcefully.

timeout union oneOf · default: 20s

Controls the amount of time to wait until the data frame analytics job stops. Defaults to 20 seconds.

Values: -1 0

Request body

id string

If provided, must be the same identifier as in the path.

allow_no_match boolean · default: true

Specifies what to do when the request:

  1. Contains wildcard expressions and there are no data frame analytics jobs that match.
  2. Contains the _all string or no identifiers and there are no matches.
  3. Contains wildcard expressions and there are only partial matches.

The default value is true, which returns an empty data_frame_analytics array when there are no matches and the subset of results when there are partial matches. If this parameter is false, the request returns a 404 status code when there are no matches or only partial matches.

force boolean · default: false

If true, the data frame analytics job is stopped forcefully.

timeout union oneOf · default: 20s

Controls the amount of time to wait until the data frame analytics job stops. Defaults to 20 seconds.

Values: -1 0

Response

application/json
stopped boolean required